-- MySQL dump 10.13  Distrib 5.7.33, for Linux (x86_64)
--
-- Host: 127.0.0.1    Database: clique
-- ------------------------------------------------------
-- Server version	5.7.33-0ubuntu0.18.04.1

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `CON_AGENDA`
--

DROP TABLE IF EXISTS `CON_AGENDA`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `CON_AGENDA` (
  `ID_AGENDA` int(11) NOT NULL AUTO_INCREMENT,
  `FK_ID_USUARIO` int(11) DEFAULT NULL,
  `TITULO` varchar(45) DEFAULT NULL,
  `DESCRICAO` varchar(200) DEFAULT NULL,
  `INICIO` datetime DEFAULT NULL,
  `FIM` datetime DEFAULT NULL,
  `COR` varchar(10) DEFAULT NULL,
  PRIMARY KEY (`ID_AGENDA`)
) ENGINE=MyISAM AUTO_INCREMENT=1012 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `CON_AGENDA`
--

LOCK TABLES `CON_AGENDA` WRITE;
/*!40000 ALTER TABLE `CON_AGENDA` DISABLE KEYS */;
/*!40000 ALTER TABLE `CON_AGENDA` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `CON_MENU`
--

DROP TABLE IF EXISTS `CON_MENU`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `CON_MENU` (
  `ID_MENU` int(11) NOT NULL AUTO_INCREMENT,
  `DESCRICAO` varchar(45) DEFAULT NULL,
  `LINK` varchar(45) DEFAULT NULL,
  `ICONE` varchar(45) DEFAULT NULL,
  `PESO` int(11) NOT NULL,
  PRIMARY KEY (`ID_MENU`)
) ENGINE=MyISAM AUTO_INCREMENT=22 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `CON_MENU`
--

LOCK TABLES `CON_MENU` WRITE;
/*!40000 ALTER TABLE `CON_MENU` DISABLE KEYS */;
INSERT INTO `CON_MENU` VALUES (14,'Configurações','','fa fa-cogs',4),(15,'Home','/Home','fa fa-home',1);
/*!40000 ALTER TABLE `CON_MENU` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `CON_METODO`
--

DROP TABLE IF EXISTS `CON_METODO`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `CON_METODO` (
  `ID_METODO` int(11) NOT NULL AUTO_INCREMENT,
  `IDENTIFICACAO` varchar(90) CHARACTER SET latin1 DEFAULT NULL COMMENT 'Caminho pós base_url()',
  `FK_ID_MENU` int(11) DEFAULT NULL COMMENT 'Menu onde a classe esta',
  `FK_ID_SUBMENU` int(11) DEFAULT NULL COMMENT 'Sub menu onde a classe esta',
  PRIMARY KEY (`ID_METODO`)
) ENGINE=MyISAM AUTO_INCREMENT=60 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `CON_METODO`
--

LOCK TABLES `CON_METODO` WRITE;
/*!40000 ALTER TABLE `CON_METODO` DISABLE KEYS */;
INSERT INTO `CON_METODO` VALUES (2,'Configuracoes/Usuarios/usuariosConsultar',14,71),(3,'Configuracoes/Usuarios/usuariosInserir',14,71),(4,'Configuracoes/Usuarios/usuariosEditar',14,71),(5,'Configuracoes/Permissoes/permissoesConsultar',14,73),(6,'Configuracoes/Permissoes/permissoesInserir',14,73),(8,'Configuracoes/Log/logConsultar',14,81),(7,'Configuracoes/Perfil/perfilConsultar',14,80);
/*!40000 ALTER TABLE `CON_METODO` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `CON_PERFIL`
--

DROP TABLE IF EXISTS `CON_PERFIL`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `CON_PERFIL` (
  `ID_PERFIL` int(11) NOT NULL AUTO_INCREMENT,
  `DESCRICAO` varchar(80) COLLATE utf8_unicode_ci DEFAULT NULL,
  `DATA` date DEFAULT NULL,
  PRIMARY KEY (`ID_PERFIL`)
) ENGINE=MyISAM AUTO_INCREMENT=1018 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `CON_PERFIL`
--

LOCK TABLES `CON_PERFIL` WRITE;
/*!40000 ALTER TABLE `CON_PERFIL` DISABLE KEYS */;
INSERT INTO `CON_PERFIL` VALUES (1017,'Administrador','2020-06-11');
/*!40000 ALTER TABLE `CON_PERFIL` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `CON_PERFIL_PERMISSAO`
--

DROP TABLE IF EXISTS `CON_PERFIL_PERMISSAO`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `CON_PERFIL_PERMISSAO` (
  `ID_PERMISSAO` int(11) NOT NULL AUTO_INCREMENT,
  `FK_ID_PERFIL` int(11) DEFAULT NULL,
  `FK_ID_METODO` int(11) DEFAULT NULL,
  PRIMARY KEY (`ID_PERMISSAO`)
) ENGINE=MyISAM AUTO_INCREMENT=632 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `CON_PERFIL_PERMISSAO`
--

LOCK TABLES `CON_PERFIL_PERMISSAO` WRITE;
/*!40000 ALTER TABLE `CON_PERFIL_PERMISSAO` DISABLE KEYS */;
INSERT INTO `CON_PERFIL_PERMISSAO` VALUES (631,1017,8),(630,1017,7),(629,1017,6),(628,1017,5),(627,1017,4),(626,1017,3),(625,1017,2);
/*!40000 ALTER TABLE `CON_PERFIL_PERMISSAO` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `CON_PERMISSAO`
--

DROP TABLE IF EXISTS `CON_PERMISSAO`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `CON_PERMISSAO` (
  `ID_PERMISSAO` int(11) NOT NULL AUTO_INCREMENT,
  `FK_ID_USUARIO` int(11) DEFAULT NULL,
  `FK_ID_METODO` int(11) DEFAULT NULL,
  PRIMARY KEY (`ID_PERMISSAO`)
) ENGINE=MyISAM AUTO_INCREMENT=479 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `CON_PERMISSAO`
--

LOCK TABLES `CON_PERMISSAO` WRITE;
/*!40000 ALTER TABLE `CON_PERMISSAO` DISABLE KEYS */;
INSERT INTO `CON_PERMISSAO` VALUES (404,6,15),(403,6,14),(402,6,50),(401,6,15),(400,6,14),(399,6,13),(398,6,9),(397,6,8),(396,6,1),(395,6,6),(394,6,5),(393,6,4),(392,6,3),(391,6,2),(477,1,54),(476,1,53),(475,1,52),(474,1,51),(473,1,58),(472,1,57),(471,1,56),(405,6,42),(406,6,43),(407,6,44),(408,6,45),(409,6,46),(410,6,47),(411,6,48),(412,6,49),(470,1,55),(469,1,8),(468,1,7),(467,1,6),(466,1,5),(465,1,4),(464,1,3),(463,1,2),(478,1,59);
/*!40000 ALTER TABLE `CON_PERMISSAO` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `CON_SUBMENU`
--

DROP TABLE IF EXISTS `CON_SUBMENU`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `CON_SUBMENU` (
  `ID_SUBMENU` int(11) NOT NULL AUTO_INCREMENT,
  `FK_ID_MENU` int(11) DEFAULT NULL,
  `DESCRICAO` varchar(45) DEFAULT NULL,
  `LINK` varchar(100) DEFAULT NULL,
  `ICONE` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`ID_SUBMENU`)
) ENGINE=MyISAM AUTO_INCREMENT=83 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `CON_SUBMENU`
--

LOCK TABLES `CON_SUBMENU` WRITE;
/*!40000 ALTER TABLE `CON_SUBMENU` DISABLE KEYS */;
INSERT INTO `CON_SUBMENU` VALUES (71,14,'Usuários','/Configuracoes/Usuario/usuarioConsultar','fa fa-user'),(80,14,'Perfil','/Configuracoes/Perfil/perfilConsultar','fa fa-users'),(73,14,'Permissão','/Configuracoes/Permissoes/permissoesConsultar','fa fa-lock'),(81,14,'Log','/Configuracoes/Log/logConsultar','fa fa-desktop');
/*!40000 ALTER TABLE `CON_SUBMENU` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `CON_USUARIO`
--

DROP TABLE IF EXISTS `CON_USUARIO`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `CON_USUARIO` (
  `ID_USUARIO` int(11) NOT NULL AUTO_INCREMENT,
  `NOME` varchar(100) DEFAULT NULL,
  `USUARIO` varchar(30) DEFAULT NULL,
  `SENHA` varchar(150) DEFAULT NULL,
  `EMAIL` varchar(45) DEFAULT NULL,
  `TELEFONE` varchar(45) DEFAULT NULL,
  `ATIVO` char(1) DEFAULT NULL,
  `URL_FOTO` varchar(100) DEFAULT 'https://res.cloudinary.com/dvtoppzy5/image/upload/v1574117358/user5-128x128_jascdc.png',
  PRIMARY KEY (`ID_USUARIO`)
) ENGINE=MyISAM AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `CON_USUARIO`
--

LOCK TABLES `CON_USUARIO` WRITE;
/*!40000 ALTER TABLE `CON_USUARIO` DISABLE KEYS */;
INSERT INTO `CON_USUARIO` VALUES (1,'Thiago Eiky ','ADMIN','851deaf1c2043ddad97cf7e31857a1695eeca9c7','thiagoeiky@hotmail.com','35984713445','A','http://res.cloudinary.com/dvtoppzy5/image/upload/v1592226487/user_logo_5ee772b64bed9.jpg'),(7,'Suporte CN SISTEMAS 12132','SUPORTE','CNSISTEMAS','contato@cnsistemas.net','35984713445','A','http://res.cloudinary.com/dvtoppzy5/image/upload/v1591905975/user_logo_5ee28eb69405d.png'),(8,'Matheus Hiroshi','testes','123456','matheus@gmail.com','35984713445','A','http://res.cloudinary.com/dvtoppzy5/image/upload/v1591910085/user_logo_5ee29ec4c5bb7.png');
/*!40000 ALTER TABLE `CON_USUARIO` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SYS_ACESS_LOG`
--

DROP TABLE IF EXISTS `SYS_ACESS_LOG`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SYS_ACESS_LOG` (
  `ID_LOG` int(11) NOT NULL AUTO_INCREMENT,
  `FK_ID_USUARIO` int(11) DEFAULT NULL,
  `DATA` datetime DEFAULT NULL,
  PRIMARY KEY (`ID_LOG`)
) ENGINE=MyISAM AUTO_INCREMENT=215 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SYS_ACESS_LOG`
--

LOCK TABLES `SYS_ACESS_LOG` WRITE;
/*!40000 ALTER TABLE `SYS_ACESS_LOG` DISABLE KEYS */;
INSERT INTO `SYS_ACESS_LOG` VALUES (188,1,'2020-06-09 14:10:13'),(189,1,'2020-06-09 14:11:54'),(190,1,'2020-06-09 14:13:26'),(191,1,'2020-06-09 14:13:44'),(192,1,'2020-06-09 14:15:06'),(193,1,'2020-06-09 14:30:16'),(194,1,'2020-06-09 14:34:03'),(195,1,'2020-06-09 14:35:05'),(196,1,'2020-06-09 14:35:27'),(197,1,'2020-06-09 15:12:28'),(198,1,'2020-06-09 16:20:04'),(199,1,'2020-06-10 09:40:13'),(200,1,'2020-06-10 13:25:20'),(201,1,'2020-06-11 08:27:42'),(202,1,'2020-06-11 08:27:54'),(203,1,'2020-06-15 07:48:44'),(204,1,'2020-06-15 08:08:17'),(205,1,'2020-06-15 16:06:19'),(206,1,'2020-06-15 17:21:15'),(207,1,'2020-06-15 17:21:25'),(208,1,'2020-06-22 09:24:42'),(209,1,'2021-02-02 11:52:14'),(210,1,'2021-02-03 12:39:24'),(211,1,'2021-02-04 12:00:40'),(212,1,'2021-02-04 14:03:15'),(213,1,'2021-02-05 07:03:25'),(214,1,'2021-02-05 11:05:44');
/*!40000 ALTER TABLE `SYS_ACESS_LOG` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `SYS_LOG`
--

DROP TABLE IF EXISTS `SYS_LOG`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `SYS_LOG` (
  `ID_LOG` int(11) NOT NULL AUTO_INCREMENT,
  `FK_ID_USUARIO` int(11) DEFAULT NULL,
  `COMANDO` varchar(100) DEFAULT NULL,
  `DATA` datetime DEFAULT NULL,
  `TABELA` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`ID_LOG`)
) ENGINE=MyISAM AUTO_INCREMENT=1902 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `SYS_LOG`
--

LOCK TABLES `SYS_LOG` WRITE;
/*!40000 ALTER TABLE `SYS_LOG` DISABLE KEYS */;
INSERT INTO `SYS_LOG` VALUES (1844,1,'Inserção de permissão Usuario: 1','2020-06-11 08:52:19','CON_PERMISSAO'),(1843,1,'Inserção de permissão Usuario: 1','2020-06-10 17:07:18','CON_PERMISSAO'),(1845,NULL,'Inserção de Perfil: 1014','2020-06-11 10:44:53','CON_PERFIL_PERMISSAO'),(1846,NULL,'Inserção de Perfil: 1015','2020-06-11 10:45:42','CON_PERFIL_PERMISSAO'),(1847,NULL,'Atualização de dados ID: 1015','2020-06-11 12:45:58','CON_PERFIL'),(1848,NULL,'Inserção de Perfil: 1015','2020-06-11 12:45:58','CON_PERFIL_PERMISSAO'),(1849,NULL,'Atualização de dados ID: 1015','2020-06-11 12:46:07','CON_PERFIL'),(1850,NULL,'Inserção de Perfil: 1015','2020-06-11 12:46:07','CON_PERFIL_PERMISSAO'),(1851,NULL,'Inserção de dados ID: 1016','2020-06-11 12:56:27','CON_PERFIL'),(1852,NULL,'Inserção de Perfil: 1016','2020-06-11 12:56:27','CON_PERFIL_PERMISSAO'),(1853,NULL,'Inserção de dados ID: 1017','2020-06-11 12:56:37','CON_PERFIL'),(1854,NULL,'Inserção de Perfil: 1017','2020-06-11 12:56:37','CON_PERFIL_PERMISSAO'),(1855,1,'Inserção de dados ID: 7','2020-06-11 15:06:18','CON_USUARIO'),(1856,1,'Atualização de dados ID: 1','2020-06-11 15:25:14','CON_USUARIO'),(1857,1,'Inserção de dados ID: 8','2020-06-11 15:41:41','CON_USUARIO'),(1858,1,'Atualização de dados ID: 8','2020-06-11 15:42:43','CON_USUARIO'),(1859,1,'Atualização de dados ID: 8','2020-06-11 15:43:08','CON_USUARIO'),(1860,1,'Atualização de dados ID: 8','2020-06-11 15:43:22','CON_USUARIO'),(1861,1,'Atualização de dados ID: 8','2020-06-11 15:50:34','CON_USUARIO'),(1862,1,'Atualização de dados ID: 8','2020-06-11 15:51:04','CON_USUARIO'),(1863,1,'Atualização de dados ID: 8','2020-06-11 15:51:21','CON_USUARIO'),(1864,1,'Atualização de dados ID: 8','2020-06-11 15:55:33','CON_USUARIO'),(1865,1,'Atualização de dados ID: 8','2020-06-11 16:13:09','CON_USUARIO'),(1866,1,'Atualização de dados ID: 8','2020-06-11 16:14:46','CON_USUARIO'),(1867,1,'Atualização de dados ID: 7','2020-06-11 16:23:33','CON_USUARIO'),(1868,1,'Atualização de dados ID: 7','2020-06-11 16:24:11','CON_USUARIO'),(1869,1,'Atualização de dados ID: 7','2020-06-11 16:24:36','CON_USUARIO'),(1870,1,'Atualização de dados ID: 7','2020-06-11 16:26:33','CON_USUARIO'),(1871,1,'Atualização de dados ID: 7','2020-06-11 16:27:09','CON_USUARIO'),(1872,1,'Atualização de dados ID: 7','2020-06-11 16:29:43','CON_USUARIO'),(1873,1,'Atualização de dados ID: 8','2020-06-11 16:30:15','CON_USUARIO'),(1874,1,'Atualização de dados ID: 1','2020-06-15 08:08:08','CON_USUARIO'),(1875,NULL,'Inserção de dados ID: 1011','2020-06-15 15:03:44','CON_AGENDA'),(1876,NULL,'Exclusão de EVENTO: 1011','2020-06-15 15:46:01','CON_AGENDA'),(1877,1,'Fechamento de campanhas','2021-02-02 13:18:15','CAD_CAMPANHA'),(1878,1,'Fechamento de campanhas','2021-02-02 13:18:42','CAD_CAMPANHA'),(1879,1,'Fechamento de campanhas','2021-02-02 13:19:08','CAD_CAMPANHA'),(1880,1,'Fechamento de campanhas','2021-02-02 13:19:44','CAD_CAMPANHA'),(1881,1,'Inserção de dados ID: 1','2021-02-02 13:19:44','CAD_CAMPANHA'),(1882,1,'Fechamento de campanhas','2021-02-02 13:27:22','CAD_CAMPANHA'),(1883,1,'Atualização de dados ID: 1','2021-02-02 13:27:22','CAD_CAMPANHA'),(1884,1,'Fechamento de campanhas','2021-02-02 13:27:56','CAD_CAMPANHA'),(1885,1,'Inserção de dados ID: 2','2021-02-02 13:27:56','CAD_CAMPANHA'),(1886,1,'Inserção de dados ID: 3','2021-02-02 13:34:00','CAD_CAMPANHA'),(1887,1,'Fechamento de campanhas','2021-02-02 13:34:48','CAD_CAMPANHA'),(1888,1,'Inserção de dados ID: 4','2021-02-02 13:34:48','CAD_CAMPANHA'),(1889,1,'Inserção de permissão Usuario: 1','2021-02-02 14:17:18','CON_PERMISSAO'),(1890,1,'Exclusão de Campanha: 3','2021-02-02 14:28:17','CAD_CAMPANHA'),(1891,1,'Inserção de dados ID: 1','2021-02-03 13:30:49','CAD_FARMACIA'),(1892,1,'Atualização de dados ID: 1','2021-02-03 13:31:50','CAD_FARMACIA'),(1893,1,'Inserção de dados ID: 2','2021-02-03 13:32:21','CAD_FARMACIA'),(1894,1,'Exclusão de Farmacia: 2','2021-02-03 13:32:59','CAD_FARMACIA'),(1895,1,'Inserção de dados ID: 3','2021-02-03 13:43:57','CAD_FARMACIA'),(1896,1,'Atualização de dados ID: 1','2021-02-03 14:55:11','CAD_FARMACIA'),(1897,1,'Inserção de dados ID: 4','2021-02-03 14:55:33','CAD_FARMACIA'),(1898,1,'Atualização de dados ID: 4','2021-02-04 14:04:40','CAD_FARMACIA'),(1899,1,'Atualização de dados ID: 3','2021-02-04 14:05:00','CAD_FARMACIA'),(1900,1,'Atualização de dados ID: 1','2021-02-04 14:05:23','CAD_FARMACIA'),(1901,1,'Inserção de permissão Usuario: 1','2021-02-05 11:21:12','CON_PERMISSAO');
/*!40000 ALTER TABLE `SYS_LOG` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Dumping events for database 'clique'
--

--
-- Dumping routines for database 'clique'
--
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2021-02-15 15:57:29
